=== modified file 'drizzled/definitions.h'
--- drizzled/definitions.h	2008-08-19 23:26:33 +0000
+++ drizzled/definitions.h	2008-08-20 03:21:20 +0000
@@ -147,17 +147,8 @@
 #define CHANGE_FRM		2	/* openfrm: open .frm as O_RDWR */
 #define READ_KEYINFO		4	/* L{s nyckeldata fr}n filen */
 #define EXTRA_RECORD		8	/* Reservera plats f|r extra record */
-#define DONT_OPEN_TABLES	8	/* Don't open database-files (frd) */
-#define DONT_OPEN_MASTER_REG	16	/* Don't open first reg-file (prt) */
-#define EXTRA_LONG_RECORD	16	/* Plats f|r dubbel s|k-record */
-#define COMPUTE_TYPES		32	/* Kontrollera type f|r f{ltena */
-#define SEARCH_PRG		64	/* S|k efter registret i 'prg_dev' */
-#define READ_USED_NAMES		128	/* L{s anv{nda formul{rnamn */
 #define DONT_GIVE_ERROR		256	/* Don't do frm_error on openfrm  */
 #define DELAYED_OPEN		4096	/* Open table later */
-#define OPEN_VIEW		8192	/* Allow open on view */
-#define OPEN_VIEW_NO_PARSE     16384    /* Open frm only if it's a view,
-                                           but do not parse view itself */
 /**
   This flag is used in function get_all_tables() which fills
   I_S tables with data which are retrieved from frm files and storage engine
@@ -173,24 +164,10 @@
 #define OPEN_TABLE_ONLY        OPEN_FRM_FILE_ONLY*2
 /**
   This flag is used in function get_all_tables() which fills
-  I_S tables with data which are retrieved from frm files and storage engine
-  The flag means that we need to process views only to get necessary data.
-  Tables are not processed.
-*/
-#define OPEN_VIEW_ONLY         OPEN_TABLE_ONLY*2
-/**
-  This flag is used in function get_all_tables() which fills
-  I_S tables with data which are retrieved from frm files and storage engine.
-  The flag means that we need to open a view using
-  open_normal_and_derived_tables() function.
-*/
-#define OPEN_VIEW_FULL         OPEN_VIEW_ONLY*2
-/**
-  This flag is used in function get_all_tables() which fills
   I_S tables with data which are retrieved from frm files and storage engine.
   The flag means that I_S table uses optimization algorithm.
 */
-#define OPTIMIZE_I_S_TABLE     OPEN_VIEW_FULL*2
+#define OPTIMIZE_I_S_TABLE     OPEN_TABLE_ONLY*2
 
 #define SC_INFO_LENGTH 4		/* Form format constant */
 #define TE_INFO_LENGTH 3
@@ -368,11 +345,6 @@
 #define MODE_ONLY_FULL_GROUP_BY		32
 #define MODE_NO_UNSIGNED_SUBTRACTION	64
 #define MODE_NO_DIR_IN_CREATE		128
-#define MODE_POSTGRESQL			256
-#define MODE_ORACLE			512
-#define MODE_MSSQL			1024
-#define MODE_DB2			2048
-#define MODE_MAXDB			4096
 #define MODE_NO_KEY_OPTIONS             8192
 #define MODE_NO_TABLE_OPTIONS           16384
 #define MODE_NO_FIELD_OPTIONS           32768
@@ -386,30 +358,11 @@
 #define MODE_NO_ZERO_IN_DATE		(MODE_STRICT_ALL_TABLES*2)
 #define MODE_NO_ZERO_DATE		(MODE_NO_ZERO_IN_DATE*2)
 #define MODE_INVALID_DATES		(MODE_NO_ZERO_DATE*2)
-#define MODE_ERROR_FOR_DIVISION_BY_ZERO (MODE_INVALID_DATES*2)
-#define MODE_TRADITIONAL		(MODE_ERROR_FOR_DIVISION_BY_ZERO*2)
-#define MODE_NO_AUTO_CREATE_USER	(MODE_TRADITIONAL*2)
-#define MODE_HIGH_NOT_PRECEDENCE	(MODE_NO_AUTO_CREATE_USER*2)
-#define MODE_NO_ENGINE_SUBSTITUTION     (MODE_HIGH_NOT_PRECEDENCE*2)
-#define MODE_PAD_CHAR_TO_FULL_LENGTH    (1ULL << 31)
 
 /* @@optimizer_switch flags */
 #define OPTIMIZER_SWITCH_NO_MATERIALIZATION 1
 #define OPTIMIZER_SWITCH_NO_SEMIJOIN 2
 
-/*
-  Replication uses 8 bytes to store SQL_MODE in the binary log. The day you
-  use strictly more than 64 bits by adding one more define above, you should
-  contact the replication team because the replication code should then be
-  updated (to store more bytes on disk).
-
-  NOTE: When adding new SQL_MODE types, make sure to also add them to
-  the scripts used for creating the MySQL system tables
-  in scripts/mysql_system_tables.sql and scripts/mysql_system_tables_fix.sql
-
-*/
-#define RAID_BLOCK_SIZE 1024
-
 #define MY_CHARSET_BIN_MB_MAXLEN 1
 
 // uncachable cause

=== modified file 'drizzled/drizzled.cc'
--- drizzled/drizzled.cc	2008-08-18 22:20:43 +0000
+++ drizzled/drizzled.cc	2008-08-20 03:21:20 +0000
@@ -223,7 +223,6 @@
 static bool volatile select_thread_in_use, signal_thread_in_use;
 static bool volatile ready_to_exit;
 static bool opt_debugging= 0, opt_console= 0;
-static bool opt_short_log_format= 0;
 static uint kill_cached_threads, wake_thread;
 static ulong killed_threads, thread_created;
 static ulong max_used_connections;
@@ -3340,10 +3339,6 @@
    (char**) &opt_log_queries_not_using_indexes,
    (char**) &opt_log_queries_not_using_indexes,
    0, GET_BOOL, NO_ARG, 0, 0, 0, 0, 0, 0},
-  {"log-short-format", OPT_SHORT_LOG_FORMAT,
-   N_("Don't log extra information to update and slow-query logs."),
-   (char**) &opt_short_log_format, (char**) &opt_short_log_format,
-   0, GET_BOOL, NO_ARG, 0, 0, 0, 0, 0, 0},
   {"log-slave-updates", OPT_LOG_SLAVE_UPDATES,
    N_("Tells the slave to log the updates from the slave thread to the binary "
       "log. You will need to turn it on if you plan to "
@@ -4958,9 +4953,6 @@
   global_system_variables.long_query_time= max_system_variables.long_query_time=
     (int64_t) (long_query_time * 1000000.0);
 
-  if (opt_short_log_format)
-    opt_specialflag|= SPECIAL_SHORT_LOG_FORMAT;
-
   if (init_global_datetime_format(DRIZZLE_TIMESTAMP_DATE,
 				  &global_system_variables.date_format) ||
       init_global_datetime_format(DRIZZLE_TIMESTAMP_TIME,

=== modified file 'drizzled/field/fstring.cc'
--- drizzled/field/fstring.cc	2008-08-15 15:01:59 +0000
+++ drizzled/field/fstring.cc	2008-08-20 03:21:20 +0000
@@ -134,13 +134,10 @@
   /* See the comment for Field_long::store(long long) */
   assert(table->in_use == current_thd);
   uint length;
-  if (table->in_use->variables.sql_mode &
-      MODE_PAD_CHAR_TO_FULL_LENGTH)
-    length= my_charpos(field_charset, ptr, ptr + field_length, field_length);
-  else
-    length= field_charset->cset->lengthsp(field_charset, (const char*) ptr,
-                                          field_length);
+
+  length= field_charset->cset->lengthsp(field_charset, (const char*) ptr, field_length);
   val_ptr->set((const char*) ptr, length, field_charset);
+
   return val_ptr;
 }
 

=== modified file 'drizzled/field/varstring.cc'
--- drizzled/field/varstring.cc	2008-08-15 15:01:59 +0000
+++ drizzled/field/varstring.cc	2008-08-20 03:21:20 +0000
@@ -247,7 +247,6 @@
 
 void Field_varstring::sql_type(String &res) const
 {
-  THD *thd= table->in_use;
   const CHARSET_INFO * const cs=res.charset();
   uint32_t length;
 
@@ -256,9 +255,6 @@
                               (has_charset() ? "varchar" : "varbinary"),
                              (int) field_length / charset()->mbmaxlen);
   res.length(length);
-  if ((thd->variables.sql_mode & (MODE_MYSQL323 | MODE_MYSQL40)) &&
-      has_charset() && (charset()->state & MY_CS_BINSORT))
-    res.append(STRING_WITH_LEN(" binary"));
 }
 
 

=== modified file 'drizzled/item_func.cc'
--- drizzled/item_func.cc	2008-08-16 22:34:15 +0000
+++ drizzled/item_func.cc	2008-08-20 03:21:20 +0000
@@ -599,9 +599,7 @@
 void Item_func::signal_divide_by_null()
 {
   THD *thd= current_thd;
-  if (thd->variables.sql_mode & MODE_ERROR_FOR_DIVISION_BY_ZERO)
-    push_warning(thd, DRIZZLE_ERROR::WARN_LEVEL_ERROR, ER_DIVISION_BY_ZERO,
-                 ER(ER_DIVISION_BY_ZERO));
+  push_warning(thd, DRIZZLE_ERROR::WARN_LEVEL_ERROR, ER_DIVISION_BY_ZERO, ER(ER_DIVISION_BY_ZERO));
   null_value= 1;
 }
 

=== modified file 'drizzled/sql_base.cc'
--- drizzled/sql_base.cc	2008-08-19 23:26:33 +0000
+++ drizzled/sql_base.cc	2008-08-20 03:21:20 +0000
@@ -3105,8 +3105,7 @@
                                                HA_OPEN_RNDFILE |
                                                HA_GET_INDEX |
                                                HA_TRY_READ_ONLY),
-                                       (READ_KEYINFO | COMPUTE_TYPES |
-                                        EXTRA_RECORD),
+                                       (READ_KEYINFO | EXTRA_RECORD),
                                        thd->open_options, entry, OTM_OPEN)))
   {
     if (error == 7)                             // Table def changed
@@ -3168,7 +3167,7 @@
                                (uint) (HA_OPEN_KEYFILE | HA_OPEN_RNDFILE |
                                        HA_GET_INDEX |
                                        HA_TRY_READ_ONLY),
-                               READ_KEYINFO | COMPUTE_TYPES | EXTRA_RECORD,
+                               READ_KEYINFO | EXTRA_RECORD,
                                ha_open_options | HA_OPEN_FOR_REPAIR,
                                entry, OTM_OPEN) || ! entry->file ||
         (entry->file->is_crashed() && entry->file->ha_check_and_repair(thd)))
@@ -3894,9 +3893,8 @@
                             (uint) (HA_OPEN_KEYFILE | HA_OPEN_RNDFILE |
                                     HA_GET_INDEX),
                             (open_mode == OTM_ALTER) ?
-                              (READ_KEYINFO | COMPUTE_TYPES | EXTRA_RECORD |
-                               OPEN_FRM_FILE_ONLY)
-                            : (READ_KEYINFO | COMPUTE_TYPES | EXTRA_RECORD),
+                              (READ_KEYINFO | EXTRA_RECORD | OPEN_FRM_FILE_ONLY)
+                            : (READ_KEYINFO | EXTRA_RECORD),
                             ha_open_options,
                             tmp_table, open_mode))
   {

=== modified file 'drizzled/sql_show.cc'
--- drizzled/sql_show.cc	2008-08-19 21:53:32 +0000
+++ drizzled/sql_show.cc	2008-08-20 03:21:20 +0000
@@ -2446,7 +2446,7 @@
   key_length= create_table_def_key(thd, key, &table_list, 0);
   pthread_mutex_lock(&LOCK_open);
   share= get_table_share(thd, &table_list, key,
-                         key_length, OPEN_VIEW, &error);
+                         key_length, 0, &error);
   if (!share)
   {
     res= 0;
@@ -4601,7 +4601,7 @@
    create_schema_table, fill_schema_coll_charset_app, 0, 0, -1, -1, 0, 0},
   {"COLUMNS", columns_fields_info, create_schema_table, 
    get_all_tables, make_columns_old_format, get_schema_column_record, 1, 2, 0,
-   OPTIMIZE_I_S_TABLE|OPEN_VIEW_FULL},
+   OPTIMIZE_I_S_TABLE},
   {"GLOBAL_STATUS", variables_fields_info, create_schema_table,
    fill_status, make_old_format, 0, -1, -1, 0, 0},
   {"GLOBAL_VARIABLES", variables_fields_info, create_schema_table,

=== modified file 'drizzled/unireg.h'
--- drizzled/unireg.h	2008-08-19 23:26:33 +0000
+++ drizzled/unireg.h	2008-08-20 03:21:20 +0000
@@ -145,12 +145,6 @@
 #define CHANGE_FRM		2	/* openfrm: open .frm as O_RDWR */
 #define READ_KEYINFO		4	/* L{s nyckeldata fr}n filen */
 #define EXTRA_RECORD		8	/* Reservera plats f|r extra record */
-#define DONT_OPEN_TABLES	8	/* Don't open database-files (frd) */
-#define DONT_OPEN_MASTER_REG	16	/* Don't open first reg-file (prt) */
-#define EXTRA_LONG_RECORD	16	/* Plats f|r dubbel s|k-record */
-#define COMPUTE_TYPES		32	/* Kontrollera type f|r f{ltena */
-#define SEARCH_PRG		64	/* S|k efter registret i 'prg_dev' */
-#define READ_USED_NAMES		128	/* L{s anv{nda formul{rnamn */
 #define DONT_GIVE_ERROR		256	/* Don't do frm_error on openfrm  */
 #define DELAYED_OPEN		4096	/* Open table later */
 

=== modified file 'storage/heap/ha_heap.h'
--- storage/heap/ha_heap.h	2008-08-16 22:34:15 +0000
+++ storage/heap/ha_heap.h	2008-08-20 03:21:20 +0000
@@ -37,8 +37,7 @@
   handler *clone(MEM_ROOT *mem_root);
   const char *table_type() const
   {
-    return (table->in_use->variables.sql_mode & MODE_MYSQL323) ?
-           "HEAP" : "MEMORY";
+    return "MEMORY";
   }
   const char *index_type(uint inx)
   {

=== modified file 'tests/r/join.result'
--- tests/r/join.result	2008-07-28 19:08:55 +0000
+++ tests/r/join.result	2008-08-20 03:21:20 +0000
@@ -165,6 +165,10 @@
 d
 2001-08-01
 0000-00-00
+Warnings:
+Error	1365	Division by 0
+Error	1365	Division by 0
+Error	1365	Division by 0
 DROP TABLE t1,t2;
 CREATE TABLE t1 (
 Document_ID varchar(50) NOT NULL default '',

=== modified file 'tests/r/type_newdecimal.result'
--- tests/r/type_newdecimal.result	2008-07-28 16:10:34 +0000
+++ tests/r/type_newdecimal.result	2008-08-20 03:21:20 +0000
@@ -135,6 +135,8 @@
 select 1e10/0e0;
 1e10/0e0
 NULL
+Warnings:
+Error	1365	Division by 0
 create table wl1612 (col1 int, col2 decimal(38,10), col3 numeric(38,10));
 insert into wl1612 values(1,12345678901234567890.1234567890,12345678901234567890.1234567890);
 select * from wl1612;
@@ -153,16 +155,28 @@
 NULL
 NULL
 NULL
+Warnings:
+Error	1365	Division by 0
+Error	1365	Division by 0
+Error	1365	Division by 0
 select col2/0 from wl1612;
 col2/0
 NULL
 NULL
 NULL
+Warnings:
+Error	1365	Division by 0
+Error	1365	Division by 0
+Error	1365	Division by 0
 select col3/0 from wl1612;
 col3/0
 NULL
 NULL
 NULL
+Warnings:
+Error	1365	Division by 0
+Error	1365	Division by 0
+Error	1365	Division by 0
 insert into wl1612 values(5,5000.0005,5000.0005);
 insert into wl1612 values(6,5000.0005,5000.0005);
 select sum(col2),sum(col3) from wl1612;
@@ -722,9 +736,13 @@
 select 1 / 1E-500;
 1 / 1E-500
 NULL
+Warnings:
+Error	1365	Division by 0
 select 1 / 0;
 1 / 0
 NULL
+Warnings:
+Error	1365	Division by 0
 CREATE TABLE Sow6_2f (col1 NUMERIC(4,2));
 INSERT INTO Sow6_2f VALUES (10.55);
 INSERT INTO Sow6_2f VALUES (10.5555);
@@ -744,6 +762,12 @@
 NULL
 NULL
 NULL
+Warnings:
+Error	1365	Division by 0
+Error	1365	Division by 0
+Error	1365	Division by 0
+Error	1365	Division by 0
+Error	1365	Division by 0
 INSERT INTO Sow6_2f VALUES ('a59b');
 ERROR HY000: Incorrect decimal value: 'a59b' for column 'col1' at row 1
 drop table Sow6_2f;
@@ -753,6 +777,8 @@
 select 0/0;
 0/0
 NULL
+Warnings:
+Error	1365	Division by 0
 select 9999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999 as x;
 x
 99999999999999999999999999999999999999999999999999999999999999999
@@ -785,6 +811,8 @@
 select abs(10/0);
 abs(10/0)
 NULL
+Warnings:
+Error	1365	Division by 0
 select abs(NULL);
 abs(NULL)
 NULL

